#################################################
#
#  (C) 2013 Alexander Golubev 
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

if( WITH_GCC_VISIBILITY )
  if( NOT UNIX )
    tde_message_fatal( "gcc visibility support was requested, but your system is not *NIX" )
  endif( NOT UNIX )
  set( __KDE_HAVE_GCC_VISIBILITY 1 )
  set( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
endif( WITH_GCC_VISIBILITY )


tde_setup_architecture_flags( )


##### kcron

if( BUILD_KCRON )
  check_include_file( "sstream" HAVE_SSTREAM )
endif( BUILD_KCRON )


##### kuser

if( BUILD_KUSER )
   check_include_file( "unistd.h" HAVE_UNISTD_H )
   check_include_file( "sys/stat.h" HAVE_SYS_STAT_H )
endif( BUILD_KUSER )



# required stuff
find_package( TQt )
find_package( TDE )
